Summary: Daemon that provides on demand IP links via SLIP or PPP.
Name: diald
Version: 0.16.5
Release: 5
Source0: diald-0.16.tar.gz
Source1: conf+init+connect.tar.gz
Source2: README-diald-0.16.5-5
Source3: README.ip-goingdown
Patch1: diald-patch-0.16.5
Patch2: diald-0.16-linux21x.patch
Patch3: diald-0.16.5-proc_sys.diff
Patch4: diald.init.diff
Patch5: diald-ipgoingdown.diff
Patch6: diald-0.16.5-dctrl.diff
Copyright: Freely distributable (see LICENSE)
Group: Networking/Daemons
Packager: JuanJo Ciarlante <jjciarla@raiz.uncu.edu.ar>
BuildRoot: /tmp/diald-0.16.5-root

%description
The purpose of diald is to make it transparently appear that you have a
permanent connection to a remote site. Diald sets up a "proxy" device
which stands in for the physical connection to a remote site. It then
monitors the proxy, waiting for packets to arrive. When interesting
packets arrive it will attempt to establish the physical link to the
remote site using either SLIP or PPP, and if it succeeds it will forward
traffic from the proxy to the physical link. As well, diald will monitor
traffic once the physical link is up, and when it has determined that the
link is idle, the remote connection is terminated. The criteria for
bringing the link up and taking it down are configurable at run time, and
are based upon the type of traffic passing over the link. 
For diald configuration stuff I recommend using diald-config package.

Based on RPM by Karl O. Pinc -- The Meme Factory, Inc  http://www.meme.com
Includes: 
   . 2.1.xx kernel support
   . /proc ip_dynaddr auto setup
   . ip-goingdown option
   . dctrl fixes from .4

%changelog
* Mon Apr 27 1998 Juan Jose Ciarlante <irriga@impsat1.com.ar>
Version 0.16.5-5
Added dctrl fixes from .4 (from mailing list)

* Fri Apr 17 1998 Juan Jose Ciarlante <irriga@impsat1.com.ar>
Version 0.16.5-4
Added ip-goingdown patch

* Tue Apr 14 1998 Juan Jose Ciarlante <irriga@impsat1.com.ar>
Version 0.16.5-3
Added /proc/.../ip_dynaddr auto setup patch

* Wed Mar 25 1998 Juan Jose Ciarlante <jjciarla@raiz.uncu.edu.ar>
Version 0.16.5-2
Patch for 2.1 kernels did not properly close sockfd. Fixed. 

from Version 0.16.3:
   This packaging of diald does not install the configuration and startup
   files /etc/ppp/connect, /etc/diald.conf, and
   "/etc/rc.d/init.d/diald.init".  Instead, it places them in the
   documentation directory.  These files are replaced and owned by the
   diald-config package.


%prep
%setup -n diald-0.16 -b 0 -a 1
cp ../../SOURCES/README-diald-0.16.5-5 .
cp ../../SOURCES/README.ip-goingdown .

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
cp -rp contrib $RPM_BUILD_ROOT/usr/lib/diald

gzip -9 $RPM_BUILD_ROOT/usr/man/man?/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/sbin/diald
/usr/bin/dctrl
/usr/lib/diald
/usr/man/man8/diald.8.gz
/usr/man/man1/dctrl.1.gz
/usr/man/man5/diald-examples.5.gz
/usr/man/man5/diald-control.5.gz
/usr/man/man5/diald-monitor.5.gz
%doc BUGS CHANGES LICENSE THANKS README doc/diald-faq.txt diald.conf connect README-diald-0.16.5-5 diald.init
